"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.replaceRegexMatchedText = replaceRegexMatchedText;

/*
 * 替换正则表达式匹配的文本
 */
function replaceRegexMatchedText(text, regExp = /\${(\w+)}/g, source) {
  if (typeof source === 'string') {
    return text.replace(regExp, source);
  } // 占位符对应的值是否不存在


  let flag = false;
  const resultStr = text.replace(regExp, ($, $1) => {
    const result = source[$1];

    if (!result) {
      flag = true;
    }

    return result || '';
  });
  return flag ? '' : resultStr;
}